import { Module, ReExportVariableModule } from '../../module';
import * as types from './typings';
export declare class StateModule extends Module {
    private _state;
    constructor(name: string, _state: types.StateDefinition);
    getContent(): Promise<string>;
}
export declare class StatesModule extends ReExportVariableModule {
    constructor(states: Record<string, types.StateDefinition>);
}
